package cz.moneta.test.dsl.mwf.relationclientbanker;

import cz.moneta.test.harness.support.mwf.Parameter;
import cz.moneta.test.harness.support.mwf.MwfRequest;

public interface MWFDL7 extends MwfRequest<MWFDL7, MWFDL7Response> {

    @Parameter(name = "DEL_FLAG")
    MWFDL7 delFlag(String delFlag);
    @Parameter(name = "ICO")
    MWFDL7 ico(String ico);
    @Parameter(name = "IDSegmentu")
    MWFDL7 iDSegmentu(Long iDSegmentu);
    @Parameter(name = "INST_PT_KEY")
    MWFDL7 instPtKey(String instPtKey);
    @Parameter(name = "Komentar")
    MWFDL7 komentar(String komentar);
    @Parameter(name = "PrivatniBankerSSO")
    MWFDL7 privatniBankerSSO(String privatniBankerSSO);
    @Parameter(name = "RC")
    MWFDL7 rc(String rc);
    @Parameter(name = "SRC_SYS_ID")
    MWFDL7 srcSysId(String srcSysId);
    @Parameter(name = "SSOUrednika")
    MWFDL7 sSOUrednika(String sSOUrednika);
    @Parameter(name = "TypVazby")
    MWFDL7 typVazby(String typVazby);
}